#!/bin/bash

#Get number of cpus on current platform
NUMCPUS=`grep -c processor /proc/cpuinfo`;

#version of valgrind
version=`echo *.tar.gz | sed 's/\.tar\.gz//g' | sed 's/valgrind-//g'`
echo $version

#Some cleanup
rm -rf install valgrind-$version

#Create install directories
mkdir install

#Untar 
tar -zxvf  valgrind-$version.tar.gz

#Move valgrind into install directory
mv valgrind-$version/* install
rm -rf valgrind-$version

cd install

#configure
../configure.sh

#Compile valgrind
make  -j $NUMCPUS

make install
